%define aname QuiteRSS

Name:           quiterss
Version:        0.17.0
Release:        %mkrel 3
License:        GPLv3
Summary:        RSS/Atom news feeds reader
Group:          Networking/News
Source0:        http://quiterss.org/files/%{version}/%{aname}-%{version}-src.tar.bz2
URL:            http://quiterss.org/
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtNetwork)
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  pkgconfig(QtXml)
BuildRequires:  pkgconfig(QtSql)
BuildRequires:  qtsingleapplication-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(phonon)

Requires:       qt4-common
Requires:       qt4-database-plugin-sqlite

%description
QuiteRSS is a open-source cross-platform RSS/Atom news feeds reader
Idea
Quite fast and comfortable to user
Features
Embedded browser (Webkit core)
 Feed and news filters: new, unread, starred, deleted (for news until restart application)
 User filters
 Proxy configuration: automatic or manual
 Feed import wizard: Search feed URL if site URL was entered
 Adblock
 Click to Flash
 Mark news starred
 Automatic update feeds: on startup, by timer
 Automatic cleanup on close using criterias
 Enable/Disable images in news preview
 Ability to quickly hide feed tree (for comfortable viewing)
 Open feed or news in own tab
 Quick news filter and quick search in browser
 Sound notification on new news
 Popup notification on new news
 Show new or unread news counter on tray icon
 Minimize on system tray: on start, on close, on minimize
 Import/Export feeds (OPML-files)
 Portable (Windows)
 Free working set (Windows)
 Shortcuts
 Check for updates
 Cross-platform
 Multilingual
 Open-source

%prep
%setup -q -n %{aname}-%{version}-src

%build
%qmake_qt4 CONFIG+=release PREFIX=%{_prefix} SYSTEMQTSA=1 %{aname}.pro
%make

%install
%make_install INSTALL_ROOT=%{buildroot}
# Add translations tags
(cd %{buildroot} && find . -name '*.qm') | sed -e 's|^.||' | sed -e \
    's:\(.*/lang/\)\([a-z]\+_\)\([a-zA-Z_]\+\)\(\.qm\):%lang(\3) \1\2\3\4:' \
        >> %{name}.lang

%files -f %{name}.lang
%doc AUTHORS CHANGELOG README
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/sound/
%{_datadir}/%{name}/style/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.17.0-3.mga5
+ Revision: 749831
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17.0-2.mga5
+ Revision: 688583
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 dglent <dglent> 0.17.0-1.mga5
+ Revision: 671812
- New version 0.17.0

* Mon Aug 18 2014 dglent <dglent> 0.16.2-1.mga5
+ Revision: 665172
- New version 0.16.2

* Mon Jul 21 2014 dglent <dglent> 0.16.1-1.mga5
+ Revision: 654916
- New version 0.16.1
- Add qt4-database-plugin-sqlite in requires

* Fri May 30 2014 dglent <dglent> 0.16.0-2.mga5
+ Revision: 627836
- Add qt4-common in Requires

* Thu May 29 2014 dglent <dglent> 0.16.0-1.mga5
+ Revision: 627648
- imported package quiterss

